/* 
 * Page PlayerFeatures
 * 
 */

"use strict";

var btConnect = null;
//var btDisconnect = null;
var waitAnim = null;
var wsUri = null;

function toogle(isConnected)
{
  tabRegistration.removeClassName("wsConnecting");
  if(isConnected){
      tabRegistration.addClassName("wsConnected");
      menuItemDisconnect.addClassName("wsConnected");
      btConnect.disabled = true;
      //btDisconnect.disabled = false;
  }else {
      tabRegistration.removeClassName("wsConnected");
      menuItemDisconnect.removeClassName("wsConnected");
      btConnect.disabled = false;

      //btDisconnect.disabled = true;
  }
  var cons = document.getElementById("Console");
  if(cons) {cons.style.background = "";}
};
    
function Connection_init() {
    /* Page -ServerAccess- */
    btConnect = document.getElementById("btConnect");
    //btDisconnect = document.getElementById("btDisconnect");
    waitAnim = document.getElementById("waitAnim");

    { // check if WS is available
        var children = [].slice.call(document.getElementById("ServerAccess").children);
        if (window.WebSocket)
        {
           children.forEach(function(el) { el.disabled = false; });
           document.getElementById("webSocketSupp").className = "wsSupported";
        }else{
           children.forEach(function(el) { el.disabled = true; });
           document.getElementById("webSocketSupp").className = "wsNotSupported";
        }
    }
    
    // on ne peut pas obtenir le nom de la machine (restrictions de sécurité)
    // on se contente du nom extrait de l'url ...
    var loc = window.location.hostname; 
    wsUri = document.getElementById("wsUri");
    if(loc && loc!=="")
        wsUri.value = "ws://"+loc+":8181/dr2d";
    else
        wsUri.value = "ws://localhost:8181/dr2d";

    function onConnect(){
        tabRegistration.addClassName("wsConnecting");
        performConnect(wsUri.value);
    };
    function onDisconnect(){
        performDisconnect();
    };
    
    if(btConnect) 
        btConnect.addEventListener("click", onConnect, false);
    //if(btDisconnect) btDisconnect.addEventListener("click", onDisconnect, false);  
    
    toogle(false); //     

};
